%ext ck1
%version 1.31


#TLI
%patchfile $130F8 tli.tli


#Pogo at start
%patch $900C $AA9AW $0001W


###"Ship is Missing..."
#Text
%patch $1659B "We still need the   " $0A "Scepter:    " $0A $0A $0A $0A $0A $00
%patch $165C2 "     GO GET IT! " $0A $00
%patch $165D4 "   Press a " $00
%patch $165E0 "key:" $00
%patch $165E5 "button:" $00


###Status###
#Text
%patch $14E52 "    SCORE     EXTRA KEEN AT " $0A $00
%patch $14E70 " "                            $0A $00
%patch $14E73 "    KEENS         SCEPTER   " $0A $00
%patch $14E91 " "                            $0A $00
%patch $14E94 " "                            $0A $00
%patch $14E97 " "                            $0A $00
%patch $14E9A " RAYGUN   POGO    KEYCARDS  " $0A $00
%patch $14EB8 " "                            $00
%patch $14EBA " "                            $0A $00
%patch $14EBD " "                            $00
%patch $14EBF " "                            $0A $00
%patch $14EC2 " "                            $00
%patch $14EC4 " "                            $0A $00
%patch $14EC7 " CHARGE  "                    $00
%patch $14ED1 " "                            $0A $00
%patch $14ED4 " "                            $00
%patch $14ED6 " "                            $0A $00
%patch $14ED9 "     PLEASE PRESS A KEY     " $00



###Ice Cannon###

#Ice cannon shoot rate
%patch $2058 $08

#Ice cube sprite type of vort (deadly)
%patch $20D6 $04 #0F


###Garg###

#Walk Speed
%patch $1BA7 $0035W
#Charge Speed
%patch $1B9F $00F0W

#Jump when charging ledges check
%patch $1B37 $00F0W $75


###Vorticon###

#Vort sprite type of butler
%patch $17E0 $05   #does not make invulnerable

#Vort very high health
%patch $180D $0099W

#Jump height
%patch $1c49 $0100w #$012cw

%patch $1c8c $ffc3w #$ff88w #quick left speed
%patch $1c94 $ffc7w #$ffa6w #slow left speed
%patch $1c9c $003dw #$0078w #quick right speed
%patch $1cc3 $0039w #$005aw #slow right speed 


###Tank###

#Tank robot shot height
%patch $4900 $0a #$05
%patch $4902 $0000W



###Teleporters###

#Location 1 (left side of planet: 11,36)
%patch $158DF $00B0W
%patch $158E3 $0270W

#Location 2 (right side of planet: 59,7)
%patch $158E9 $03B0W
%patch $158ED $0070W


###Ship Parts###

#Needed to win (Joystick)
%patch $8035 $EB $05 #3 parts
%patch $802E $EB $0C #2 parts
%patch $8027 $EB $13 #1 parts



###Win Sequence###

#No black screen pause before ending sequence
%patch $820C $EB $07

#Text writing speed
%patch $8173 $0004W

###Mars Text
%patch $15C24 "Commander Keen returns to the Bean-" $0A $00
%patch $15C49 "with-Bacon Megarocket, scepter in" $0A $00
%patch $15C6C "hand. He sets off for Pandonia to  " $0A $00
%patch $15C91 "return it to the Mystic Pandas." $00

###Skip Vorticon Mothership "?" sequence
%patch $83D5 $E9 $00D1W
%patch $83D1 $005CW
%patch $8514 $90 $90

###First Textbox
#Size:
%patch $8546 $13    #Bottom
%patch $854A $1B    #Right side
%patch $854E $0F    #Top
%patch $8552 $04    #Left
%patch $857A $0078W #Time visible

#Text read from:
%patch $855F $2C6DW $EB $10

#Text:
%patch $15CBD "The panda leaders     " $0A
              "gather near the   " $0A
              "rows of seedlings." $00


###BMPs
#First bitmap
%patch $8586 $0001W #Pause between textbox going and bitmap appearing
%patch $858F $0C    #Bitmap used ('light on')
%patch $8596 $0E    #x-location
%patch $85A0 $19    #Sound played

%patch $8599 $90 $90 $90 #Don't show bitmap
%patch $85A3 $90 $90 $90 #Don't play sound

#Second bitmap
%patch $85A9 $0001W #Pause before next bitmap appears 
%patch $85B2 $0D    #Bitmap used ('light off')
%patch $85B9 $0E    #x-location
%patch $85C3 $19    #Sound played
%patch $85CC $012CW #Pause before second textbox appears

%patch $85BC $90 $90 $90 #Don't show bitmap
%patch $85CF $90 $90 $90 #Don't play sound

#Skip both bitmaps
%patch $8582 $E9 $004FW


###Second Textbox
#Size:
%patch $85D5 $13    #Bottom
%patch $85D9 $1B    #Right side
%patch $85DD $0F    #Top
%patch $85E1 $04    #Left
%patch $8606 $00B4W #Time visible

#Text read from:
%patch $85EB $2CABW $EB $10

#Text:
%patch $15CFB "Lingdao wields the " $0A
              "Scepter, poised to " $0A
              "grow them." $00


###BMP Interstitual
#Third bitmap
%patch $8612 $003CW #Pause between textbox going and bitmap appearing
%patch $861B $0C    #Bitmap used ('light on')
%patch $8622 $04    #x-location

%patch $862F $90 $90 $90 #Don't play sound


###Third textbox
#Size:
%patch $8635 $14    #Bottom
%patch $8639 $1B    #Right side
%patch $863D $0F    #Top
%patch $8641 $04    #Left
%patch $866F $00F0W #Time visible

#Text read from:
%patch $864B $2CE0W
%patch $8654 $2CF7W
%patch $865D $2D0EW
%patch $8666 $2D23W

#Text:
%patch $15D30 "'Now, Bopsome trees, " $0A $00
%patch $15D47 "I COMMAND YOU TO     " $0A $00 #Text jump
%patch $15D5E "GROW!'             " $0A $00
%patch $15D73 "           " $00


###Fourth to Seventh textboxes
#Stop 4th textbox appearing
%patch $8677 $EB $31

#Stop 5th textbox appearing
%patch $86AE $EB $3A

#Stop 6th textbox appearing
%patch $86EB $EB $25

#Stop 7th textbox appearing
%patch $8713 $EB $25


###BMP Interstitual
#Fourth bitmap
%patch $873F $003CW #Pause between textbox going and bitmap appearing
%patch $8748 $0D    #Bitmap used ('light off')
%patch $874F $04    #x-location
%patch $8759 $19    #Sound played

#Fifth bitmap
%patch $8762 $012CW #Pause between fourth bitmap appearing and fifth bitmap
%patch $876B $0C    #Bitmap used ('light off')
%patch $8772 $0E    #x-location
%patch $8792 $19    #Sound played (Part of eighth textbox!)

%patch $8775 $90 $90 $90 #Don't show bitmap
%patch $8795 $90 $90 $90 #Don't play sound


###Eighth textbox
#Size:
%patch $877C $15    #Bottom
%patch $8780 $1D    #Right side
%patch $8784 $0F    #Top
%patch $8788 $04    #Left
%patch $87C8 $012CW #Time visible

#Text read from:
%patch $879B $2DB7W $EB $22

#Text
%patch $15E07 "After the Bopsome    " $0A
              "trees spring into      " $0A
              "maturity, Keen and " $0A
              "the pandas harvest   " $0A
              "the flowers.  " $00


###Last Text
%patch $15E72 "THE END... FOR NOW!" $00



%end
